ALTER TABLE misp2.person ALTER COLUMN certificate TYPE VARCHAR(3000);
ALTER TABLE misp2.portal ALTER COLUMN univ_auth_query TYPE VARCHAR(256);
ALTER TABLE misp2.portal ALTER COLUMN univ_check_query TYPE VARCHAR(256);
ALTER TABLE misp2.t3sec ALTER COLUMN query TYPE VARCHAR(256);
ALTER TABLE misp2.t3sec ALTER COLUMN query_id TYPE VARCHAR(50);
ALTER TABLE misp2.query_name ALTER COLUMN query_note TYPE VARCHAR(512);
ALTER TABLE misp2.query_name ALTER COLUMN description SET NOT NULL;
ALTER TABLE misp2.query_log ALTER COLUMN query_note TYPE VARCHAR(800);
ALTER TABLE misp2.topic_name RENAME COLUMN name TO description;
ALTER TABLE misp2.topic_name ALTER COLUMN description TYPE VARCHAR(256);
ALTER TABLE misp2.topic_name ALTER COLUMN description SET NOT NULL;

CREATE UNIQUE INDEX in_xslt_name_idx ON misp2.xslt(portal_id, name);

CREATE TABLE misp2.portal_name 
( 
  id serial,
  description varchar(256) NOT NULL,
  lang varchar(10)  NOT NULL,
  portal_id integer NOT NULL,
  created timestamp not null default current_timestamp,
  last_modified timestamp not null default current_timestamp,
  username varchar(20) not null default 'admin'
);

ALTER TABLE misp2.portal_name ADD CONSTRAINT pk_portal_name
PRIMARY KEY(id);

CREATE UNIQUE INDEX in_pn_pid_lang ON misp2.portal_name (portal_id, lang);

grant all on misp2.portal_name_id_seq to misp2;
grant all on misp2.portal_name to misp2;

ALTER TABLE misp2.portal DROP COLUMN name CASCADE;