CREATE TABLE misp2.query_error_log (
  id serial,
  query_log_id integer,
  code varchar(64),
  description varchar(1042),
  detail varchar(1042),
  created timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  last_modified timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  username varchar(20) NOT NULL DEFAULT 'admin'
);

ALTER TABLE misp2.query_error_log ADD CONSTRAINT PK_query_error_log
PRIMARY KEY (id);

ALTER TABLE misp2.query_error_log ADD CONSTRAINT fk_query_error_log_query_log
  FOREIGN KEY (query_log_id) REFERENCES misp2.query_log (id)
ON DELETE CASCADE ON UPDATE CASCADE
;
  
grant all on misp2.query_error_log to misp2;

grant all on misp2.query_error_log_id_seq to misp2;

/*alter previous*/

ALTER TABLE misp2.query_log DROP COLUMN error_code;
ALTER TABLE misp2.query_log DROP COLUMN error_description;
